Ask Your Question
3

Why is VLC not included in standard-repos?

asked 2014-03-17 07:30:03 -0600

LeoSci gravatar image

updated 2014-03-17 07:38:03 -0600

Is there, except for the nonfree codecs, another reason that VLC is not included in the official repository?

EDIT: I ask, because I aim to use a nearly free system

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
3

answered 2014-03-17 10:31:05 -0600

cobra gravatar image

I think this is to do with the legal status of libdvdcss and libaacs, upon which VideoLAN relies.

Even though these modules are open, the legal situation for them in the US is unclear - this affects the open nature of the package from the point of view of Fedora. The distribution is wholly devoted to -only- open source software, and just being released under the GPL isn't enough - it also has to be unfettered by patent and other licensing issues.

Until this situation is clarified, then VLC will probably remain in the RPMFusion repositories, and not be a part of the official releases.

There is a little of the legal information here: https://www.videolan.org/legal.html

edit flag offensive delete link more

Comments

AFAIK, vlc doesn't require libdvccss or libaacs to work. I think it can't be included in the repos if we want it to all sorts of media including ones with problematic codecs (AAC - which requires libfaad -, x264... etc).

It looks like with some changes vlc can be included in the official repos: http://lists.kde.org/?l=kde-core-devel&m=138121818321406&w=2

but it won't be able to play as many formats as the vlc package from the rpmfusion repos.

Also: http://lists.kde.org/?l=kde-devel&m=138123145126036&w=2 but I don't see what came out of it in terms of an actual package in the fedora repos.

Ahmad Samir gravatar imageAhmad Samir ( 2014-03-18 06:30:33 -0600 )edit
1

While it may technically be true that you can have a version of VLC without these two packages, it does make it kinda useless. You end up with a media player that doesn't play media.

cobra gravatar imagecobra ( 2014-03-18 06:33:38 -0600 )edit
1

Looking at the vlc rpm spec, it doesn't require either libdvcss or libaacs to build or install. For AAC support it requires libfaad - which is only in rpmfusion. And you'd only need libdvdcss to play encrypted commercial video DVD's.

But yes, building a vlc in the official Fedora repos will cripple some of its codecs support.

If it ever gets to exist in the official repos, it'll have a twin in the rpmfusion repos, much like the freetype package in the official repos and freetype-freeworld in frpmfusion.

Ahmad Samir gravatar imageAhmad Samir ( 2014-03-18 08:26:50 -0600 )edit

It isn't just codecs. VLC also makes use of ffmpeg etc. iirc, which, while are patented software. I'll need to go find a few links for exact information, though.

FranciscoD_ gravatar imageFranciscoD_ ( 2014-06-26 23:58:51 -0600 )edit

Question Tools

Stats

Asked: 2014-03-17 07:30:03 -0600

Seen: 1,304 times

Last updated: Mar 17 '14